# Uses of Class
ij.process.ColorProcessor

Packages that use ColorProcessor
Package
Description
ij.plugin.filter
ij.process

## Uses of ColorProcessor in ij.plugin.filter

Methods in ij.plugin.filter with parameters of type ColorProcessor
Modifier and Type
Method
Description
`void`
BackgroundSubtracter.`rollingBallBrightnessBackground(ColorProcessor ip, double radius, boolean createBackground, boolean lightBackground, boolean useParaboloid, boolean doPresmooth, boolean correctCorners)`
Create or subtract a background, based on the brightness of an RGB image (keeping the hue of each pixel unchanged)
`void`
BackgroundSubtracter.`subtractRGBBackround(ColorProcessor ip, int ballRadius)`
Depracated.

## Uses of ColorProcessor in ij.process

Subclasses of ColorProcessor in ij.process
Modifier and Type
Class
Description
`class`
`IntProcessor`
This is an extended ColorProcessor that supports signed 32-bit int images.
Fields in ij.process declared as ColorProcessor
Modifier and Type
Field
Description
`ColorProcessor`
FHT.`rgb`
Used by the FFT class.
Methods in ij.process that return ColorProcessor
Modifier and Type
Method
Description
`ColorProcessor`
ImageProcessor.`convertToColorProcessor()`
Returns an RGB version of this image as a ColorProcessor.
Constructors in ij.process with parameters of type ColorProcessor
Modifier
Constructor
Description
``
`ColorBlitter(ColorProcessor ip)`
Constructs a ColorBlitter from a ColorProcessor.
``
`MedianCut(ColorProcessor ip)`